<tool id="macs2_bdgdiff" name="MACS2 bdgdiff" version="2.0.10.0">
    <description>Differential peak detection based on paired four bedgraph files</description>
    <expand macro="requirements" />
    <expand macro="version_command" />
    <macros>
        <import>macs2_macros.xml</import>
    </macros>
    <command>
        macs2 bdgdiff
            --t1 "${ infile_pileup_cond1 }"
            --t2 "${ infile_pileup_cond2 }"
            --c1 "${ infile_control_cond1 }"
            --c2 "${ infile_control_cond2 }"
            --cutoff "${ cutoff }"
            --min-len "${ minlen }"
            --depth1 "${ depth1 }"
            --depth2 "${ depth2 }"
            --max-gap "${ maxgap }"
            --o-prefix MACS2

    </command>
    <expand macro="stdio" />
    <inputs>
        <param name="infile_pileup_cond1" type="data" format="bedgraph" label="MACS pileup bedGraph for condition 1" />
        <param name="infile_pileup_cond2" type="data" format="bedgraph" label="MACS pileup bedGraph for condition 2" />

        <param name="infile_control_cond1" type="data" format="bedgraph" label="MACS control lambda bedGraph for condition 1" />
        <param name="infile_control_cond2" type="data" format="bedgraph" label="MACS control lambda bedGraph for condition 2" />

        <param name="cutoff" type="float" label="Cutoff of log10 likelihood ratio cutoff" value="1.0" help="Default: 1.0 (likelihood ratio=10) (--cutoff)"/>
        <param name="minlen" type="integer" label="Minimum length of differential region" value="200"/>
        <param name="depth1" type="integer" value="1" label="Sequence depth of condition 1 in million reads" help="default: 1 (--depth1)" />
        <param name="depth2" type="integer" value="1" label="Sequence depth of condition 2 in million reads" help="default: 1 (--depth2)" />
        <param name="maxgap" type="integer" value="100" label="Maximum gap to merge nearby differential regions" help="Consider a wider gap for broad marks. Maximum gap should be smaller than minimum length. Default: 100 (-g)." />

        <param name="outputs" type="select" display="checkboxes" multiple="True" label="Outputs">
            <option value="--ofile-cond1">Unique regions in condition 1</option>
            <option value="--ofile-cond2">Unique regions in condition 2</option>
            <option value="--ofile-both-conditions" selected="true">Common regions in both conditions</option>
            <validator type="no_options" message="Please select at least one output file." />
        </param>
    </inputs>
    <outputs>
        <data name="output_cond1" format="bed" from_work_dir="MACS2_cond1.bed" label="${tool.name} on ${on_string} (cond 1)">
            <filter>'--ofile-cond1' in outputs</filter>
        </data>
        <data name="output_cond2" format="bed" from_work_dir="MACS2_cond1.bed" label="${tool.name} on ${on_string} (cond 2)">
            <filter>'--ofile-cond2' in outputs</filter>
        </data>
        <data name="output_both" format="bed" from_work_dir="MACS2_common.bed" label="${tool.name} on ${on_string} (both)">
            <filter>'--ofile-both-conditions' in outputs</filter>
        </data>
    </outputs>
    <tests>
            <!-- we need a second condition here -->
            <!--
        <test>

            <param name="infile_control_cond1" value="Control_200K.bed" ftype="bed"/>
            <param name="infile_control_cond2" value="Control_200K.bed" ftype="bed"/>
            <param name="infile_pileup_cond1" value="ChIP_200K.bed" ftype="bed"/>
            <param name="infile_pileup_cond2" value="ChIP_200K.bed" ftype="bed"/>
            <param name="cutoff" value="1.0"/>
            <param name="minlen" value="200"/>
            <param name="depth1" value="1"/>
            <param name="depth2" value="1"/>
            <param name="maxgap" value="100"/>
            <param name="outputs" value="-ofile-cond1,-ofile-cond2,-ofile-both-conditions"/>
            <output name="output_cond1" file=""/>
            <output name="output_cond2" file=""/>
            <output name="output_both" file=""/>
        </test>
            -->
    </tests>
    <help>
**What it does**

bdgdiff from macs2


@citation@
    </help>
</tool>
